import './App.css';
import {BrowserRouter, Routes, Route} from "react-router-dom";
import Header from './components/common/Header';
import Home from './components/pages/Home';
import Films from './components/pages/Films';
import Film from './components/pages/Film';
import Contacts from './components/pages/Contacts';
import Catalogs from './components/pages/Catalogs';
import CatalogFilms from './components/catalogs/CatalogFilms';
import CatalogGenres from './components/catalogs/CatalogGenres';
import CatalogActors from './components/catalogs/CatalogActors';

const links = [
  {id: 1, text: "Главная", path: ""},
  {id: 2, text: "Фильмы", path: "films"},
  {id: 3, text: "Контакты", path: "contacts"},
  {id: 4, text: "Каталог", path: "catalogs"},
];

function App() {
  return (
    <>
      <BrowserRouter>
        <Header links={links}/>
        <Routes path="/">
          <Route index element={<Home/>}></Route>
          <Route path="films" element={<Films/>}/>
          <Route path="film" element={<Film/>}/>
          <Route path="contacts" element={<Contacts/>}/>
          <Route path="catalogs" element={<Catalogs/>}/>
          <Route path="catalogs/catalogFilms" element={<CatalogFilms />}/>
          <Route path="catalogs/catalogGenres" element={<CatalogGenres />}/>
          <Route path="catalogs/catalogActors" element={<CatalogActors />}/>
        </Routes>
      </BrowserRouter>
    </>
  );
}

export default App;
