import Catalog from "../common/Catalog";
import { useEffect, useState } from "react";

import DataService from "../../services/DataService"

let headers = [
  {label: "name", text: "Жанр"}
]

export default function CatalogGenres() {
  const url = "/genres";

  const [data, setData] = useState({
    name: ""
  });

  const [genres, setGenres] = useState([]);

  function handleFormChange(e) {
    setData({ ...data, [e.target.id]: e.target.value })
  }

  function onAdd() {
    setData({name: "", genre: genres[0]});
  }

  
  function onChange(data) {
    setData(data);
  }

  function validate(data) {
    if(data.name === "") return false;
    return true;
  }

  return (
    <Catalog url={url} headers={headers} data={data} onAdd={onAdd} onChange={onChange} validate={validate}>
      <div className="mb-3">
          <label htmlFor="name" className="form-label">Название</label>
          <input type="text" value={data.name} id="name" className="form-control" required autoComplete="off"
              onChange={handleFormChange}/>
      </div>
    </Catalog>
  )
}