import {NavLink} from "react-router-dom";
import "./Header.css";

export default function Header(props) {
  return (
    <header>
    <nav className="navbar navbar-dark navbar-expand-lg bg-success">
      <div className="container-fluid">
        <NavLink className="navbar-brand" href="#">
          <span className="navbar__logo-text navbar__logo-text_first">L</span><span className="navbar__logo-text navbar__logo-text_second">umer</span>
        </NavLink>
        <button className="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Переключатель навигации">
          <span className="navbar-toggler-icon"></span>
        </button>
        <div className="collapse navbar-collapse" id="navbarNav">
          <ul className="navbar-nav">
            {props.links.map(({id, text, path}) => (
              <li key={id} className="nav-item">
                <NavLink className="nav-link btn btn-success" aria-current="page" to={path}>{text}</NavLink>
              </li>
            ))}
          </ul>
        </div>
      </div>
    </nav>
  </header>
  )
}