import { useState } from "react"
import "./Table.css";

export default function Table(props) {
  const [tableUpdate, setTableUpdate] = useState(false);


  function click(id) {
    if(!props.selectable) return;
    props.toggleSelect(id);
    console.log(props.selected);
    setTableUpdate(!tableUpdate);
  }

  return (
    <table className="table table-hover">
      <thead>
        <tr>
          <th>#</th>
          {props.headers.map(({label, text}) => (
            <th key={label}>{text}</th>
            ))}
        </tr>
      </thead>
      <tbody>
        {props.items.map((elem, index) => {
          let trClass = "";
          if(props.selectable && props.selected.has(elem.id)) trClass = "selected";
          return (
            <tr key={elem.id} onClick={click.bind(this, elem.id)} className={trClass}>
            <td>{index + 1}</td>
            {props.headers.map(({label}) => {
              return <td key={label}>{(Array.isArray(elem[label])) ? elem[label].join(", ") : elem[label]}</td>
            }
            )}
          </tr>
        )})}
      </tbody>
    </table>
  )
}