import { useEffect, useState } from "react";
import Table from "../common/Table";
import DataService from "../../services/DataService";

export default function ReportSelector(props) {
  const [genres, setGenres] = useState([]);
  const [currentGenre, setCurrentGenre] = useState("");
  const [items, setItems] = useState([]);

  useEffect(() => {
    DataService.readAll("/genres").then(res => {
      setGenres(res)
    });
  }, [])

  useEffect(() => {
    DataService.readAll(props.url).then(res => {
      console.log(res);
      setItems(res)
    });
  }, [props.url])
  
  function changeGenre(e) {
    setCurrentGenre(e.target.value);
  }

  console.log(props.url);

  function click() {
    props.formData(currentGenre);
  }

  return (
    <div>
      <div className="input-group mb-3">
      <select className="form-select" onChange={changeGenre} value={currentGenre}>
          <option disabled value="">Выберите группу</option>
          {
              genres.map(genre => (
                  <option key={genre.id} value={genre.genre}>{genre.genre}</option>
              ))
          }
      </select>
      <button className="btn btn-outline-secondary" type="button" onClick={click}
          >Сформировать</button>
      </div >
      <Table headers={props.headers} items={items} />
    </div>
  )
}