export default class DataSirvice {
  static urlPrefix = "http://localhost:8080";

  static async readAll(url) {
    let data = await fetch(this.urlPrefix + url);
    let res = await data.json();
    return res;
  }

  static create(url, data) {
    return fetch(this.urlPrefix + url, {
      method: "POST",
      headers: {
        'Accept': 'application/json',
        'Content-Type': 'application/json'
      },
      body: JSON.stringify(data)
    });
  }

  static update(url, data, id) {
    console.log(this.urlPrefix + url + "/" + id)
    console.log(data);
    data.id = id;
    return fetch(this.urlPrefix + url + "/" + id, {
      method: "PATCH",
      headers: {
        'Accept': 'application/json',
        'Content-Type': 'application/json'
      },
      body: JSON.stringify(data)
    });
  }

  static remove(url, id) {
    return fetch(this.urlPrefix + url + "/" + id, {
      method: "DELETE"
    });
  }
}