package ru.ip.labs.labs.calculator.controller;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import ru.ip.labs.labs.calculator.service.CalculatorService;

@RestController
@RequestMapping("/test")
public class CalcController {
    private final CalculatorService calculatorService;

    public CalcController(CalculatorService calculatorService) {
        this.calculatorService = calculatorService;
    }

    @GetMapping("/hello")
    public String hello() {
        return "Hi man";
    }

    @GetMapping("/sumInt")
    public int sumInt(@RequestParam int x, @RequestParam int y) {
        return calculatorService.getSum(x, y, "int");
    }

    @GetMapping("/sumString")
    public String sumString(@RequestParam String x, @RequestParam int y) {
        return calculatorService.getSum(x, y, "string");
    }

    @GetMapping("/sumArray")
    public String sumArray(@RequestParam String x, int y) {
        return calculatorService.getSum(x, y, "array");
    }

    @GetMapping("/diffInt")
    public int diffInt(@RequestParam int x, @RequestParam int y) {
        return calculatorService.getDiff(x, y, "int");
    }

    @GetMapping("/diffString")
    public String diffString(@RequestParam String x, @RequestParam int y) {
        return calculatorService.getDiff(x, y, "string");
    }

    @GetMapping("/diffArray")
    public String diffArray(@RequestParam String x, int y) {
        return calculatorService.getDiff(x, y, "array");
    }

    @GetMapping("/multipleInt")
    public int multipleInt(@RequestParam int x, @RequestParam int y) {
        return calculatorService.getMultiple(x, y, "int");
    }

    @GetMapping("/multipleString")
    public String multipleString(@RequestParam String x, @RequestParam int y) {
        return calculatorService.getMultiple(x, y, "string");
    }

    @GetMapping("/multipleArray")
    public String multipleArray(@RequestParam String x, int y) {
        return calculatorService.getMultiple(x, y, "array");
    }

    @GetMapping("/divideInt")
    public int divideInt(@RequestParam int x, @RequestParam int y) {
        return calculatorService.getDivide(x, y, "int");
    }

    @GetMapping("/divideString")
    public String divideString(@RequestParam String x, @RequestParam int y) {
        return calculatorService.getDivide(x, y, "string");
    }

    @GetMapping("/divideArray")
    public String divideArray(@RequestParam String x, int y) {
        return calculatorService.getDivide(x, y, "array");
    }
}
