package ru.ip.labs.labs.calculator.service;

import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Service;
import ru.ip.labs.labs.calculator.domain.Calculator;

@Service
public class CalculatorService {
    private final  ApplicationContext _applicationContext;

    public CalculatorService(ApplicationContext applicationContext) {
        this._applicationContext = applicationContext;
    }

    public <T> T getSum(T x, int y, String opType) {
        Calculator<T> calc = (Calculator<T>)_applicationContext.getBean(opType);
        return calc.sum(x, y);
    }

    public <T> T getDiff(T x, int y, String opType) {

        Calculator<T> calc = (Calculator<T>)_applicationContext.getBean(opType);
        return calc.diff(x, y);
    }

    public <T> T getMultiple(T x, int y, String opType) {
        Calculator<T> calc = (Calculator<T>)_applicationContext.getBean(opType);
        return calc.multiple(x, y);
    }

    public <T> T getDivide(T x, int y, String opType) {
        Calculator<T> calc = (Calculator<T>)_applicationContext.getBean(opType);
        return calc.divide(x, y);
    }
}
