package ru.ip.labs.labs.films.dto;

import ru.ip.labs.labs.films.models.Actor;
import ru.ip.labs.labs.films.models.Film;

import javax.persistence.FetchType;
import javax.persistence.Lob;
import javax.persistence.ManyToMany;
import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.util.List;

public class ActorDTO {
    private Long id;
    private String name;
    private String surname;
    private String fullName;

    private List<Film> films;

    public ActorDTO() {}

    public ActorDTO(Actor actor) {
        this.id = actor.getId();
        this.name = actor.getName();
        this.surname = actor.getSurname();
        this.fullName = this.name + this.surname;
    }
    public ActorDTO(Long id, String name, String surname, byte[] photo) {
        this.id = id;
        this.name = name;
        this.surname = surname;
        this.fullName = this.name + this.surname;
    }

    public Long getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public String getSurname() {
        return surname;
    }

    public void setSurname(String surname) {
        this.surname = surname;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<Film> getFilms() {
        return films;
    }

    @Override
    public String toString() {
        String res = "\nFilm{" +
                "id: " + id + "," +
                "name: " + name + "," +
                "surname: " + name + "," +
                "films:" + (films == null ? "[]" : films.toString()) + "}"
                ;
        return res;
    }
}
