package ru.ip.labs.labs.films.models;
import org.hibernate.annotations.OnDelete;
import org.hibernate.annotations.OnDeleteAction;

import javax.persistence.*;
import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.util.List;

@Entity
public class Actor {
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;
    private String name;
    private String surname;
    @Lob
    private byte[] photo;

    @ManyToMany(fetch = FetchType.EAGER, mappedBy = "actors")
    private List<Film> films;

    public Actor() {}

    public Actor(String name, String surname) {
        this.name = name;
        this.surname = surname;
    }

    public byte[] getPhoto() {
        return photo;
    }

    public void setPhoto(String path) throws IOException {
        File f = new File(path);
        photo = Files.readAllBytes(f.toPath());
    }

    public Long getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public String getSurname() {
        return surname;
    }

    public void setSurname(String surname) {
        this.surname = surname;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<Film> getFilms() {
        return films;
    }

    @Override
    public String toString() {
        String res = "\nFilm{" +
                "id: " + id + "," +
                "name: " + name + "," +
                "surname: " + name + "," +
                "films:" + (films == null ? "[]" : films.toString()) + "}"
                ;
        return res;
    }
}
