package ru.ip.labs.labs;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.NoSuchBeanDefinitionException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import ru.ip.labs.labs.calculator.domain.Calculator;
import ru.ip.labs.labs.calculator.service.CalculatorService;

@SpringBootTest
class LabsApplicationTests {
	@Autowired
	private CalculatorService calculatorService;

	@Test
	void testIntSum() {
		Integer res = calculatorService.getSum(2, 2, "int");
		Assertions.assertEquals(4, res);
	}
	@Test
	void testArraySum() {
		String res = calculatorService.getSum("1,2", 2, "array");
		Assertions.assertEquals("3,4", res);
	}

	@Test
	void testIntDiff() {
		Integer res = calculatorService.getDiff(4, 2, "int");
		Assertions.assertEquals(2, res);
	}
	@Test
	void testStringDiff() {
		String res = calculatorService.getDiff("hello2", 2, "string");
		Assertions.assertEquals("hello", res);
	}
	@Test
	void testArrayDiff() {
		String res = calculatorService.getDiff("1,2,3", 2, "array");
		Assertions.assertEquals("-1,0,1", res);
	}

	@Test
	void testIntMultiple() {
		Integer res = calculatorService.getMultiple(2, 3, "int");
		Assertions.assertEquals(6, res);
	}
	@Test
	void testStringMultiple() {
		String res = calculatorService.getMultiple("test", 2, "string");
		Assertions.assertEquals("testtest", res);
	}
	@Test
	void testArrayMultiple() {
		String res = calculatorService.getMultiple("2,3", 2, "array");
		Assertions.assertEquals("4,6", res);
	}

	@Test
	void testIntDivide() {
		Integer res = calculatorService.getDivide(10, 2, "int");
		Assertions.assertEquals(5, res);
	}
	@Test
	void testStringDivide() {
		String res = calculatorService.getDivide("test", 2, "string");
		Assertions.assertEquals("te", res);
	}
	@Test
	void testArrayDivide() {
		String res = calculatorService.getDivide("6,8", 2, "array");
		Assertions.assertEquals("3,4", res);
	}

	@Test
	void testErrorErrorWired() {
		Assertions.assertThrows(NoSuchBeanDefinitionException.class, () -> calculatorService.getSum(1, 2, "date"));
	}
}
